/**
* Styles for the TGG Management Report
*/

body{margin:0;padding:0;font-size:80%;font-family:Arial Narrow,sans-serif;}

td.empty{height:1.2em}
td.nowrap{white-space:nowrap}
td.decimal, td.money, td.moneytotal{text-align:right;width:7.2em}
td.nomoney{text-align:center}
td.subhead{font-weight:bold;background-color:#e0e0e0}
td.subhead2{font-weight:bold;background-color:#f0f0f0}

thead {font-weight:bold;padding-top:2em;margin-top:2em; border:2px solid black; border-top:3px solid black;}
th.reportheader {text-align:left;font-size:2em}

tbody.colhead, thead.colhead {font-weight:bold;background-color:#d0d0d0; }
table {margin:1em 2px}
table.property {border-collapse:collapse}
table.property tr {vertical-align:top}
table.property td, table.property th{border:thin solid #a0a0a0;padding:0 0.2em}
table.property tr.r0 {background-color:#ecf4fc}
table.property tr.r1 {background-color:#f8fcff}
tbody.totals {font-weight:bold; }
td.moneytotal, tbody.totals td.money, tbody.totals td.decimal{font-weight:bold;border-top:2px solid black;}

tr.colhead, tbody.colhead td {font-weight:bold;background-color:#d0d0d0; border:2px solid black;}
tr.levelbreak {background-color:#d0e8f4;height:0.7em}
tr.leveltotal {font-weight:bold;background-color:#d0e8f4;height:2em;padding-bottom:4.5em;vertical-align:top}
tr.leveltotal td.money {border-top:thin solid black;}
tr.proptotal {font-weight:bold;background-color:#d0e8f4;}
tr.proptotal td.money {border-top:1px solid black;border-bottom:3px double black;}

tr.groupbreak td.empty, td.groupbreak {height:1em;border:0;}
table.property td.groupbreak {background-color:white; border-style:none;}
table.property td.groupbreak {border-top-style:none; border-bottom-style:none; border-left:2px solid black; border-right:2px solid black;}
table.property tr.groupbreak td.groupbreak {border-left-style:none; border-right-style:none;}
table.property td.notes {background-color: white; border-top-style:none; border-bottom-style:none; border-left:2px solid black; border-right:2px solid black;}
tbody.colhead td.empty {background-color:white; border-top-style:none; border-bottom-style:none;}
table.property tr.top td  {border-top:2px solid black;}
table.property td.leftmost  {border-left:2px solid black;}
table.property td.rightmost {border-right:2px solid black;}
table.property td.bottom, table.property tr.bottom td {border-bottom:2px solid black;}
table.property tr.bottom td.groupbreak {border-bottom-style:none;}

table.property td.propertyname {font-size:1.9em;font-weight:700;border-right:none;}
table.property td.sectionheader {font-size:1.8em;font-weight:700;border-left:none;border-right:none; text-align:center;}
table.property td.reportmonth {font-size:1.9em;font-weight:700;text-align:right;border-left:none;}
